> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete stored Dialogflow Connection

> Deletes a stored Dialogflow Connection.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/dialogflow-integration.yml delete /dialogflow_connections/{connection_id}
openapi: 3.1.0
info:
  title: Telnyx Dialogflow Integration API
  version: 2.0.0
  description: API for Dialogflow integration.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /dialogflow_connections/{connection_id}:
    delete:
      tags:
        - Dialogflow Integration
      summary: Delete stored Dialogflow Connection
      description: Deletes a stored Dialogflow Connection.
      operationId: DeleteDialogflowConnection
      parameters:
        - $ref: '#/components/parameters/media-streaming_ConnectionId'
      responses:
        '204':
          description: >-
            The Dialogflow Connection for connection_id was deleted
            successfully.
        '404':
          $ref: '#/components/responses/media-streaming_NotFoundResponse'
        default:
          $ref: '#/components/responses/media-streaming_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            await client.dialogflowConnections.delete('connection_id');
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.dialogflow_connections.delete(
                "connection_id",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.DialogflowConnections.Delete(context.TODO(), \"connection_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.dialogflowconnections.DialogflowConnectionDeleteParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    client.dialogflowConnections().delete("connection_id");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            result = telnyx.dialogflow_connections.delete("connection_id")

            puts(result)
        - lang: CLI
          source: |-
            telnyx dialogflow-connections delete \
              --api-key 'My API Key' \
              --connection-id connection_id
components:
  parameters:
    media-streaming_ConnectionId:
      name: connection_id
      description: Uniquely identifies a Telnyx application (Call Control).
      in: path
      required: true
      schema:
        type: string
  responses:
    media-streaming_NotFoundResponse:
      description: Resource not found. The requested resource or URL could not be found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/media-streaming_Errors'
          examples:
            not_found:
              summary: Generic not found
              value:
                errors:
                  - code: '404'
                    title: Not Found
                    detail: Page not found
            connection_not_found:
              summary: Connection not found
              value:
                errors:
                  - code: '10005'
                    title: Resource not found
                    detail: >-
                      The Dialogflow connection for the specified connection_id
                      could not be found.
                    source:
                      pointer: /connection_id
    media-streaming_GenericErrorResponse:
      description: Unexpected error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/media-streaming_Errors'
  schemas:
    media-streaming_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/media-streaming_Error'
      type: object
    media-streaming_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````